uk.gov.hmrc.renderer.TemplateArgumentsBuilder

# AccountMenuStyleComponent

###
Related Doc: package TemplateArgumentsBuilder

#### case class AccountMenuStyleComponent(langUrls: Option[(String, String)] = None, signoutUrl: Option[String] = None, activeTab: Option[ActiveTab] = None, hideAccountMenu: Boolean = false) extends StyleComponent with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, StyleComponent, TemplateComponent, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AccountMenuStyleComponent
2. Serializable
3. Serializable
4. Product
5. Equals
6. StyleComponent
7. TemplateComponent
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AccountMenuStyleComponent(langUrls: Option[(String, String)] = None, signoutUrl: Option[String] = None, activeTab: Option[ActiveTab] = None, hideAccountMenu: Boolean = false)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val activeTab: Option[ActiveTab]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### val hideAccountMenu: Boolean

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### val langUrls: Option[(String, String)]

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val signoutUrl: Option[String]

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StyleComponent

### Inherited from TemplateComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped